## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanDocumentPrefixResolver::NamespaceNodesTreeWalker Class Reference

A utility class to walk the XalanDocument instance and look for attribute nodes that declare namespaces. More...

`#include <XalanDocumentPrefixResolver.hpp>`

Inheritance diagram for XalanDocumentPrefixResolver::NamespaceNodesTreeWalker

Collaboration diagram for XalanDocumentPrefixResolver::NamespaceNodesTreeWalker:

List of all members.

## Public Methods

- NamespaceNodesTreeWalker (NamespacesMapType& theMap)
- virtual ~NamespaceNodesTreeWalker ()

## Protected Methods

- virtual bool startNode (const XalanNode* node)
    Called when first walking a node. More...
- virtual bool startNode (XalanNode* node)
    Called when first walking a node. More...
- virtual bool endNode (const XalanNode* node)
    Called when leaving a node. More...
- virtual bool endNode (XalanNode* node)
    Called when leaving a node. More...

## Detailed Description

A utility class to walk the XalanDocument instance and look for attribute nodes that declare namespaces.

## Constructor & Destructor Documentation

XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::NamespaceNodesTreeWalker ( | NamespacesMapType & theMap )

virtual XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::~NamespaceNodesTreeWalker ( | )`[virtual]`

## Member Function Documentation

virtual bool XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::endNode ( | XalanNode * node )`[protected, virtual]`

Called when leaving a node.

Parameters:

  node | The node

Returns:
  return false if the walk should continue, or true if it should not.

Reimplemented from TreeWalker.

virtual bool XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::endNode ( | const XalanNode * node )`[protected, virtual]`

Called when leaving a node.

Parameters:

  node | The node

Returns:
  return false if the walk should continue, or true if it should not.

Reimplemented from TreeWalker.

virtual bool XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::startNode ( | XalanNode * node )`[protected, virtual]`

Called when first walking a node.

Parameters:

  node | The node

Returns:
  return false if the walk should continue, or true if it should not.

Reimplemented from TreeWalker.

virtual bool XalanDocumentPrefixResolver::NamespaceNodesTreeWalker::startNode ( | const XalanNode * node )`[protected, virtual]`

Called when first walking a node.

Parameters:

  node | The node

Returns:
  return false if the walk should continue, or true if it should not.

Reimplemented from TreeWalker.

The documentation for this class was generated from the following file:

- XalanDocumentPrefixResolver.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.